// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.27.1
// 	protoc        v4.23.4
// source: authRequest.proto

package proto

import (
	proto "gitlab.com/nikita.morozov/ms-shared/proto"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

var File_authRequest_proto protoreflect.FileDescriptor

var file_authRequest_proto_rawDesc = []byte{
	0x0a, 0x11, 0x61, 0x75, 0x74, 0x68, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x2e, 0x70, 0x72,
	0x6f, 0x74, 0x6f, 0x12, 0x05, 0x62, 0x6f, 0x74, 0x4d, 0x73, 0x1a, 0x0f, 0x62, 0x6f, 0x74, 0x43,
	0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x11, 0x63, 0x6f, 0x6d,
	0x6d, 0x6f, 0x6e, 0x54, 0x79, 0x70, 0x65, 0x73, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x32, 0x87,
	0x01, 0x0a, 0x0b, 0x41, 0x75, 0x74, 0x68, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x3c,
	0x0a, 0x06, 0x43, 0x72, 0x65, 0x61, 0x74, 0x65, 0x12, 0x17, 0x2e, 0x62, 0x6f, 0x74, 0x4d, 0x73,
	0x2e, 0x41, 0x75, 0x74, 0x68, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x4d, 0x6f, 0x64, 0x65,
	0x6c, 0x1a, 0x17, 0x2e, 0x62, 0x6f, 0x74, 0x4d, 0x73, 0x2e, 0x41, 0x75, 0x74, 0x68, 0x52, 0x65,
	0x71, 0x75, 0x65, 0x73, 0x74, 0x4d, 0x6f, 0x64, 0x65, 0x6c, 0x22, 0x00, 0x12, 0x3a, 0x0a, 0x06,
	0x44, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x12, 0x16, 0x2e, 0x6e, 0x6d, 0x62, 0x6f, 0x74, 0x2e, 0x74,
	0x79, 0x70, 0x65, 0x73, 0x2e, 0x49, 0x64, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x16,
	0x2e, 0x6e, 0x6d, 0x62, 0x6f, 0x74, 0x2e, 0x74, 0x79, 0x70, 0x65, 0x73, 0x2e, 0x42, 0x6f, 0x6f,
	0x6c, 0x56, 0x61, 0x6c, 0x75, 0x65, 0x22, 0x00, 0x42, 0x5a, 0x0a, 0x1b, 0x70, 0x72, 0x6f, 0x2e,
	0x6e, 0x6d, 0x62, 0x6f, 0x74, 0x2e, 0x62, 0x6f, 0x74, 0x73, 0x2e, 0x61, 0x75, 0x74, 0x68, 0x2d,
	0x72, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x42, 0x10, 0x41, 0x75, 0x74, 0x68, 0x52, 0x65, 0x71,
	0x75, 0x65, 0x73, 0x74, 0x50, 0x72, 0x6f, 0x74, 0x6f, 0x50, 0x01, 0x5a, 0x27, 0x67, 0x69, 0x74,
	0x6c, 0x61, 0x62, 0x2e, 0x63, 0x6f, 0x6d, 0x2f, 0x6e, 0x69, 0x6b, 0x69, 0x74, 0x61, 0x2e, 0x6d,
	0x6f, 0x72, 0x6f, 0x7a, 0x6f, 0x76, 0x2f, 0x62, 0x6f, 0x74, 0x73, 0x2d, 0x6d, 0x73, 0x2f, 0x70,
	0x72, 0x6f, 0x74, 0x6f, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var file_authRequest_proto_goTypes = []interface{}{
	(*AuthRequestModel)(nil), // 0: botMs.AuthRequestModel
	(*proto.IdRequest)(nil),  // 1: nmbot.types.IdRequest
	(*proto.BoolValue)(nil),  // 2: nmbot.types.BoolValue
}
var file_authRequest_proto_depIdxs = []int32{
	0, // 0: botMs.AuthRequest.Create:input_type -> botMs.AuthRequestModel
	1, // 1: botMs.AuthRequest.Delete:input_type -> nmbot.types.IdRequest
	0, // 2: botMs.AuthRequest.Create:output_type -> botMs.AuthRequestModel
	2, // 3: botMs.AuthRequest.Delete:output_type -> nmbot.types.BoolValue
	2, // [2:4] is the sub-list for method output_type
	0, // [0:2] is the sub-list for method input_type
	0, // [0:0] is the sub-list for extension type_name
	0, // [0:0] is the sub-list for extension extendee
	0, // [0:0] is the sub-list for field type_name
}

func init() { file_authRequest_proto_init() }
func file_authRequest_proto_init() {
	if File_authRequest_proto != nil {
		return
	}
	file_botCommon_proto_init()
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_authRequest_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   0,
			NumExtensions: 0,
			NumServices:   1,
		},
		GoTypes:           file_authRequest_proto_goTypes,
		DependencyIndexes: file_authRequest_proto_depIdxs,
	}.Build()
	File_authRequest_proto = out.File
	file_authRequest_proto_rawDesc = nil
	file_authRequest_proto_goTypes = nil
	file_authRequest_proto_depIdxs = nil
}
